org.wildfly.swarm.config.jca

## Class CachedConnectionManager<T extends CachedConnectionManager<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.jca.CachedConnectionManager<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class CachedConnectionManager<T extends CachedConnectionManager<T>>
      extends HashMap

  Cached connection manager for resource adapters
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedConnectionManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `debug()` Enable/disable debug information logging
    `T` | `debug(Boolean value)` Enable/disable debug information logging
    `Boolean` | `error()` Enable/disable error information logging
    `T` | `error(Boolean value)` Enable/disable error information logging
    `String` | `getKey()`
    `Boolean` | `ignoreUnknownConnections()` Do not cache unknown connections
    `T` | `ignoreUnknownConnections(Boolean value)` Do not cache unknown connections
    `Boolean` | `install()` Enable/disable the cached connection manager valve and interceptor
    `T` | `install(Boolean value)` Enable/disable the cached connection manager valve and interceptor
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### CachedConnectionManager

          public CachedConnectionManager()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### debug

          public Boolean debug()

      Enable/disable debug information logging

    - #### debug

          public T debug(Boolean value)

      Enable/disable debug information logging

    - #### error

          public Boolean error()

      Enable/disable error information logging

    - #### error

          public T error(Boolean value)

      Enable/disable error information logging

    - #### ignoreUnknownConnections

          public Boolean ignoreUnknownConnections()

      Do not cache unknown connections

    - #### ignoreUnknownConnections

          public T ignoreUnknownConnections(Boolean value)

      Do not cache unknown connections

    - #### install

          public Boolean install()

      Enable/disable the cached connection manager valve and interceptor

    - #### install

          public T install(Boolean value)

      Enable/disable the cached connection manager valve and interceptor

Copyright © 2017 JBoss by Red Hat. All rights reserved.